com.impinj.stp

## Class StpApi.OperationResponsibility.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>
      - - com.impinj.stp.StpApi.OperationResponsibility.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationResponsibilityOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationResponsibility

      public static final class StpApi.OperationResponsibility.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>
      implements StpApi.OperationResponsibilityOrBuilder

  Protobuf type `Impinj.STP.OperationResponsibility` Define which areas of tag memory this device is responsible for writing and which operations to perform.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationResponsibility.Builder` | `addAllDownstreamPipelineDevices(java.lang.Iterable<? extends StpApi.STPDevice> values)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `addDownstreamPipelineDevices(int index, StpApi.STPDevice.Builder builderForValue)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `addDownstreamPipelineDevices(int index, StpApi.STPDevice value)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `addDownstreamPipelineDevices(StpApi.STPDevice.Builder builderForValue)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `addDownstreamPipelineDevices(StpApi.STPDevice value)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.STPDevice.Builder` | `addDownstreamPipelineDevicesBuilder()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.STPDevice.Builder` | `addDownstreamPipelineDevicesBuilder(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility` | `build()`
    `StpApi.OperationResponsibility` | `buildPartial()`
    `StpApi.OperationResponsibility.Builder` | `clear()`
    `StpApi.OperationResponsibility.Builder` | `clearAccessPassword()` Encode or verify configured 32-bit Access password
    `StpApi.OperationResponsibility.Builder` | `clearBlockpermalockConfig()` Set or verify (read reserved memory) BlockPermalock config
    `StpApi.OperationResponsibility.Builder` | `clearDeviceOfRecord()` Downstream STP device that allows non Monza encoding
    `StpApi.OperationResponsibility.Builder` | `clearDownstreamPipelineDevices()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `clearEPCMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `StpApi.OperationResponsibility.Builder` | `clearEPCMemoryPcWord()` Encode or verify configured PC Word
    `StpApi.OperationResponsibility.Builder` | `clearKillPassword()` Encode or verify configured 32-bit Kill password
    `StpApi.OperationResponsibility.Builder` | `clearKillTag()` optional bool monza_QT = 9 [default = true];
    `StpApi.OperationResponsibility.Builder` | `clearLockConfig()` Set or verify (read reserved memory) Lock config
    `StpApi.OperationResponsibility.Builder` | `clearSecurePassword()` If true, use the secured password to move tag to secure state on this device.
    `StpApi.OperationResponsibility.Builder` | `clearTagsInPipelineViewCount()` The approximate number of total tags expected in the STP pipeline.
    `StpApi.OperationResponsibility.Builder` | `clearTagsInViewCount()` The approximate number of tags in the field of view.
    `StpApi.OperationResponsibility.Builder` | `clearTagSpecificFeatureConfig()` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `StpApi.OperationResponsibility.Builder` | `clearTIDConfigWord()` Write TID config word
    `StpApi.OperationResponsibility.Builder` | `clearUserMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `StpApi.OperationResponsibility.Builder` | `clearVoidTagResponsibility()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.OperationResponsibility.Builder` | `clearVoyanticTagsuranceTestResultsCacheSize()` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.
    `StpApi.OperationResponsibility.Builder` | `clone()`
    `boolean` | `getAccessPassword()` Encode or verify configured 32-bit Access password
    `boolean` | `getBlockpermalockConfig()` Set or verify (read reserved memory) BlockPermalock config
    `StpApi.OperationResponsibility` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.STPDevice` | `getDeviceOfRecord()` Downstream STP device that allows non Monza encoding
    `StpApi.STPDevice.Builder` | `getDeviceOfRecordBuilder()` Downstream STP device that allows non Monza encoding
    `StpApi.STPDeviceOrBuilder` | `getDeviceOfRecordOrBuilder()` Downstream STP device that allows non Monza encoding
    `StpApi.STPDevice` | `getDownstreamPipelineDevices(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.STPDevice.Builder` | `getDownstreamPipelineDevicesBuilder(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `java.util.List<StpApi.STPDevice.Builder>` | `getDownstreamPipelineDevicesBuilderList()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `int` | `getDownstreamPipelineDevicesCount()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `java.util.List<StpApi.STPDevice>` | `getDownstreamPipelineDevicesList()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.STPDeviceOrBuilder` | `getDownstreamPipelineDevicesOrBuilder(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `java.util.List<? extends StpApi.STPDeviceOrBuilder>` | `getDownstreamPipelineDevicesOrBuilderList()` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `com.google.protobuf.ByteString` | `getEPCMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `boolean` | `getEPCMemoryPcWord()` Encode or verify configured PC Word
    `boolean` | `getKillPassword()` Encode or verify configured 32-bit Kill password
    `boolean` | `getKillTag()` optional bool monza_QT = 9 [default = true];
    `boolean` | `getLockConfig()` Set or verify (read reserved memory) Lock config
    `boolean` | `getSecurePassword()` If true, use the secured password to move tag to secure state on this device.
    `int` | `getTagsInPipelineViewCount()` The approximate number of total tags expected in the STP pipeline.
    `int` | `getTagsInViewCount()` The approximate number of tags in the field of view.
    `boolean` | `getTagSpecificFeatureConfig()` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `boolean` | `getTIDConfigWord()` Write TID config word
    `com.google.protobuf.ByteString` | `getUserMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `StpApi.VoidTagResponsibility` | `getVoidTagResponsibility()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.VoidTagResponsibility.Builder` | `getVoidTagResponsibilityBuilder()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.VoidTagResponsibilityOrBuilder` | `getVoidTagResponsibilityOrBuilder()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `int` | `getVoyanticTagsuranceTestResultsCacheSize()` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.
    `boolean` | `hasAccessPassword()` Encode or verify configured 32-bit Access password
    `boolean` | `hasBlockpermalockConfig()` Set or verify (read reserved memory) BlockPermalock config
    `boolean` | `hasDeviceOfRecord()` Downstream STP device that allows non Monza encoding
    `boolean` | `hasEPCMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `boolean` | `hasEPCMemoryPcWord()` Encode or verify configured PC Word
    `boolean` | `hasKillPassword()` Encode or verify configured 32-bit Kill password
    `boolean` | `hasKillTag()` optional bool monza_QT = 9 [default = true];
    `boolean` | `hasLockConfig()` Set or verify (read reserved memory) Lock config
    `boolean` | `hasSecurePassword()` If true, use the secured password to move tag to secure state on this device.
    `boolean` | `hasTagsInPipelineViewCount()` The approximate number of total tags expected in the STP pipeline.
    `boolean` | `hasTagsInViewCount()` The approximate number of tags in the field of view.
    `boolean` | `hasTagSpecificFeatureConfig()` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `boolean` | `hasTIDConfigWord()` Write TID config word
    `boolean` | `hasUserMemoryMask()` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `boolean` | `hasVoidTagResponsibility()` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `boolean` | `hasVoyanticTagsuranceTestResultsCacheSize()` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationResponsibility.Builder` | `mergeDeviceOfRecord(StpApi.STPDevice value)` Downstream STP device that allows non Monza encoding
    `StpApi.OperationResponsibility.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationResponsibility.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationResponsibility.Builder` | `mergeFrom(StpApi.OperationResponsibility other)`
    `StpApi.OperationResponsibility.Builder` | `mergeVoidTagResponsibility(StpApi.VoidTagResponsibility value)` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.OperationResponsibility.Builder` | `removeDownstreamPipelineDevices(int index)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `setAccessPassword(boolean value)` Encode or verify configured 32-bit Access password
    `StpApi.OperationResponsibility.Builder` | `setBlockpermalockConfig(boolean value)` Set or verify (read reserved memory) BlockPermalock config
    `StpApi.OperationResponsibility.Builder` | `setDeviceOfRecord(StpApi.STPDevice.Builder builderForValue)` Downstream STP device that allows non Monza encoding
    `StpApi.OperationResponsibility.Builder` | `setDeviceOfRecord(StpApi.STPDevice value)` Downstream STP device that allows non Monza encoding
    `StpApi.OperationResponsibility.Builder` | `setDownstreamPipelineDevices(int index, StpApi.STPDevice.Builder builderForValue)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `setDownstreamPipelineDevices(int index, StpApi.STPDevice value)` A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used.
    `StpApi.OperationResponsibility.Builder` | `setEPCMemoryMask(com.google.protobuf.ByteString value)` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
    `StpApi.OperationResponsibility.Builder` | `setEPCMemoryPcWord(boolean value)` Encode or verify configured PC Word
    `StpApi.OperationResponsibility.Builder` | `setKillPassword(boolean value)` Encode or verify configured 32-bit Kill password
    `StpApi.OperationResponsibility.Builder` | `setKillTag(boolean value)` optional bool monza_QT = 9 [default = true];
    `StpApi.OperationResponsibility.Builder` | `setLockConfig(boolean value)` Set or verify (read reserved memory) Lock config
    `StpApi.OperationResponsibility.Builder` | `setSecurePassword(boolean value)` If true, use the secured password to move tag to secure state on this device.
    `StpApi.OperationResponsibility.Builder` | `setTagsInPipelineViewCount(int value)` The approximate number of total tags expected in the STP pipeline.
    `StpApi.OperationResponsibility.Builder` | `setTagsInViewCount(int value)` The approximate number of tags in the field of view.
    `StpApi.OperationResponsibility.Builder` | `setTagSpecificFeatureConfig(boolean value)` Tag specific feature configuration for Monza 6 (and possibly) later tags
    `StpApi.OperationResponsibility.Builder` | `setTIDConfigWord(boolean value)` Write TID config word
    `StpApi.OperationResponsibility.Builder` | `setUserMemoryMask(com.google.protobuf.ByteString value)` Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
    `StpApi.OperationResponsibility.Builder` | `setVoidTagResponsibility(StpApi.VoidTagResponsibility.Builder builderForValue)` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.OperationResponsibility.Builder` | `setVoidTagResponsibility(StpApi.VoidTagResponsibility value)` In cases where there is voiding possible, this is how the user specifies the responsibility of this device
    `StpApi.OperationResponsibility.Builder` | `setVoyanticTagsuranceTestResultsCacheSize(int value)` The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### clear

          public StpApi.OperationResponsibility.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### clone

          public StpApi.OperationResponsibility.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationResponsibility getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationResponsibility build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationResponsibility buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationResponsibility.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### mergeFrom

          public StpApi.OperationResponsibility.Builder mergeFrom(StpApi.OperationResponsibility other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationResponsibility.Builder>`

    - #### mergeFrom

          public StpApi.OperationResponsibility.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationResponsibility.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasEPCMemoryMask

          public boolean hasEPCMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
      Specified by:
        `hasEPCMemoryMask` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getEPCMemoryMask

          public com.google.protobuf.ByteString getEPCMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).
      Specified by:
        `getEPCMemoryMask` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setEPCMemoryMask

          public StpApi.OperationResponsibility.Builder setEPCMemoryMask(com.google.protobuf.ByteString value)

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).

    - #### clearEPCMemoryMask

          public StpApi.OperationResponsibility.Builder clearEPCMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks).

    - #### hasEPCMemoryPcWord

          public boolean hasEPCMemoryPcWord()

      Encode or verify configured PC Word
      Specified by:
        `hasEPCMemoryPcWord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getEPCMemoryPcWord

          public boolean getEPCMemoryPcWord()

      Encode or verify configured PC Word
      Specified by:
        `getEPCMemoryPcWord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setEPCMemoryPcWord

          public StpApi.OperationResponsibility.Builder setEPCMemoryPcWord(boolean value)

      Encode or verify configured PC Word

    - #### clearEPCMemoryPcWord

          public StpApi.OperationResponsibility.Builder clearEPCMemoryPcWord()

      Encode or verify configured PC Word

    - #### hasTIDConfigWord

          public boolean hasTIDConfigWord()

      Write TID config word
      Specified by:
        `hasTIDConfigWord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getTIDConfigWord

          public boolean getTIDConfigWord()

      Write TID config word
      Specified by:
        `getTIDConfigWord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setTIDConfigWord

          public StpApi.OperationResponsibility.Builder setTIDConfigWord(boolean value)

      Write TID config word

    - #### clearTIDConfigWord

          public StpApi.OperationResponsibility.Builder clearTIDConfigWord()

      Write TID config word

    - #### hasUserMemoryMask

          public boolean hasUserMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
      Specified by:
        `hasUserMemoryMask` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getUserMemoryMask

          public com.google.protobuf.ByteString getUserMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)
      Specified by:
        `getUserMemoryMask` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setUserMemoryMask

          public StpApi.OperationResponsibility.Builder setUserMemoryMask(com.google.protobuf.ByteString value)

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)

    - #### clearUserMemoryMask

          public StpApi.OperationResponsibility.Builder clearUserMemoryMask()

      Hex representation of 32-bit Blocks (F = 1111 = encode 4 32-bit blocks)

    - #### hasSecurePassword

          public boolean hasSecurePassword()

      If true, use the secured password to move tag to secure state on this device.
      Specified by:
        `hasSecurePassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getSecurePassword

          public boolean getSecurePassword()

      If true, use the secured password to move tag to secure state on this device.
      Specified by:
        `getSecurePassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setSecurePassword

          public StpApi.OperationResponsibility.Builder setSecurePassword(boolean value)

      If true, use the secured password to move tag to secure state on this device.

    - #### clearSecurePassword

          public StpApi.OperationResponsibility.Builder clearSecurePassword()

      If true, use the secured password to move tag to secure state on this device.

    - #### hasAccessPassword

          public boolean hasAccessPassword()

      Encode or verify configured 32-bit Access password
      Specified by:
        `hasAccessPassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getAccessPassword

          public boolean getAccessPassword()

      Encode or verify configured 32-bit Access password
      Specified by:
        `getAccessPassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setAccessPassword

          public StpApi.OperationResponsibility.Builder setAccessPassword(boolean value)

      Encode or verify configured 32-bit Access password

    - #### clearAccessPassword

          public StpApi.OperationResponsibility.Builder clearAccessPassword()

      Encode or verify configured 32-bit Access password

    - #### hasKillPassword

          public boolean hasKillPassword()

      Encode or verify configured 32-bit Kill password
      Specified by:
        `hasKillPassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getKillPassword

          public boolean getKillPassword()

      Encode or verify configured 32-bit Kill password
      Specified by:
        `getKillPassword` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setKillPassword

          public StpApi.OperationResponsibility.Builder setKillPassword(boolean value)

      Encode or verify configured 32-bit Kill password

    - #### clearKillPassword

          public StpApi.OperationResponsibility.Builder clearKillPassword()

      Encode or verify configured 32-bit Kill password

    - #### hasLockConfig

          public boolean hasLockConfig()

      Set or verify (read reserved memory) Lock config
      Specified by:
        `hasLockConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getLockConfig

          public boolean getLockConfig()

      Set or verify (read reserved memory) Lock config
      Specified by:
        `getLockConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setLockConfig

          public StpApi.OperationResponsibility.Builder setLockConfig(boolean value)

      Set or verify (read reserved memory) Lock config

    - #### clearLockConfig

          public StpApi.OperationResponsibility.Builder clearLockConfig()

      Set or verify (read reserved memory) Lock config

    - #### hasBlockpermalockConfig

          public boolean hasBlockpermalockConfig()

      Set or verify (read reserved memory) BlockPermalock config
      Specified by:
        `hasBlockpermalockConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getBlockpermalockConfig

          public boolean getBlockpermalockConfig()

      Set or verify (read reserved memory) BlockPermalock config
      Specified by:
        `getBlockpermalockConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setBlockpermalockConfig

          public StpApi.OperationResponsibility.Builder setBlockpermalockConfig(boolean value)

      Set or verify (read reserved memory) BlockPermalock config

    - #### clearBlockpermalockConfig

          public StpApi.OperationResponsibility.Builder clearBlockpermalockConfig()

      Set or verify (read reserved memory) BlockPermalock config

    - #### hasKillTag

          public boolean hasKillTag()

      optional bool monza_QT = 9 [default = true];
      Specified by:
        `hasKillTag` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getKillTag

          public boolean getKillTag()

      optional bool monza_QT = 9 [default = true];
      Specified by:
        `getKillTag` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setKillTag

          public StpApi.OperationResponsibility.Builder setKillTag(boolean value)

      optional bool monza_QT = 9 [default = true];

    - #### clearKillTag

          public StpApi.OperationResponsibility.Builder clearKillTag()

      optional bool monza_QT = 9 [default = true];

    - #### hasTagSpecificFeatureConfig

          public boolean hasTagSpecificFeatureConfig()

      Tag specific feature configuration for Monza 6 (and possibly) later tags
      Specified by:
        `hasTagSpecificFeatureConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getTagSpecificFeatureConfig

          public boolean getTagSpecificFeatureConfig()

      Tag specific feature configuration for Monza 6 (and possibly) later tags
      Specified by:
        `getTagSpecificFeatureConfig` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setTagSpecificFeatureConfig

          public StpApi.OperationResponsibility.Builder setTagSpecificFeatureConfig(boolean value)

      Tag specific feature configuration for Monza 6 (and possibly) later tags

    - #### clearTagSpecificFeatureConfig

          public StpApi.OperationResponsibility.Builder clearTagSpecificFeatureConfig()

      Tag specific feature configuration for Monza 6 (and possibly) later tags

    - #### hasTagsInViewCount

          public boolean hasTagsInViewCount()

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.
      Specified by:
        `hasTagsInViewCount` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getTagsInViewCount

          public int getTagsInViewCount()

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.
      Specified by:
        `getTagsInViewCount` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setTagsInViewCount

          public StpApi.OperationResponsibility.Builder setTagsInViewCount(int value)

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.

    - #### clearTagsInViewCount

          public StpApi.OperationResponsibility.Builder clearTagsInViewCount()

      The approximate number of tags in the field of view. This parameter is only valid In continuous mode; a report will be sent when a tag is removed from a list of this size. A larger number will delay reports, but allow retries if a tag remains in view.

    - #### hasTagsInPipelineViewCount

          public boolean hasTagsInPipelineViewCount()

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).
      Specified by:
        `hasTagsInPipelineViewCount` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getTagsInPipelineViewCount

          public int getTagsInPipelineViewCount()

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).
      Specified by:
        `getTagsInPipelineViewCount` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setTagsInPipelineViewCount

          public StpApi.OperationResponsibility.Builder setTagsInPipelineViewCount(int value)

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).

    - #### clearTagsInPipelineViewCount

          public StpApi.OperationResponsibility.Builder clearTagsInPipelineViewCount()

      The approximate number of total tags expected in the STP pipeline. This parameter is only significant in systems that have multiple devices working together to pipeline the encoding process, the value should be set to exceed the total number of tags between the first and last STP devices. By default this is set to 0 (disabling the feature).

    - #### getDownstreamPipelineDevicesList

          public java.util.List<StpApi.STPDevice> getDownstreamPipelineDevicesList()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.
      Specified by:
        `getDownstreamPipelineDevicesList` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getDownstreamPipelineDevicesCount

          public int getDownstreamPipelineDevicesCount()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.
      Specified by:
        `getDownstreamPipelineDevicesCount` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getDownstreamPipelineDevices

          public StpApi.STPDevice getDownstreamPipelineDevices(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.
      Specified by:
        `getDownstreamPipelineDevices` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder setDownstreamPipelineDevices(int index,
                                                                                     StpApi.STPDevice value)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### setDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder setDownstreamPipelineDevices(int index,
                                                                                     StpApi.STPDevice.Builder builderForValue)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder addDownstreamPipelineDevices(StpApi.STPDevice value)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder addDownstreamPipelineDevices(int index,
                                                                                     StpApi.STPDevice value)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder addDownstreamPipelineDevices(StpApi.STPDevice.Builder builderForValue)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder addDownstreamPipelineDevices(int index,
                                                                                     StpApi.STPDevice.Builder builderForValue)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addAllDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder addAllDownstreamPipelineDevices(java.lang.Iterable<? extends StpApi.STPDevice> values)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### clearDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder clearDownstreamPipelineDevices()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### removeDownstreamPipelineDevices

          public StpApi.OperationResponsibility.Builder removeDownstreamPipelineDevices(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesBuilder

          public StpApi.STPDevice.Builder getDownstreamPipelineDevicesBuilder(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesOrBuilder

          public StpApi.STPDeviceOrBuilder getDownstreamPipelineDevicesOrBuilder(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.
      Specified by:
        `getDownstreamPipelineDevicesOrBuilder` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getDownstreamPipelineDevicesOrBuilderList

          public java.util.List<? extends StpApi.STPDeviceOrBuilder> getDownstreamPipelineDevicesOrBuilderList()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.
      Specified by:
        `getDownstreamPipelineDevicesOrBuilderList` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### addDownstreamPipelineDevicesBuilder

          public StpApi.STPDevice.Builder addDownstreamPipelineDevicesBuilder()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### addDownstreamPipelineDevicesBuilder

          public StpApi.STPDevice.Builder addDownstreamPipelineDevicesBuilder(int index)

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### getDownstreamPipelineDevicesBuilderList

          public java.util.List<StpApi.STPDevice.Builder> getDownstreamPipelineDevicesBuilderList()

      A list of downstream STP devices in pipeline which will be sent operation notifications, only necessary when 'tags_in_pipeline_view_count' is used. The order the devices will determine the order the notifications are sent.

    - #### hasDeviceOfRecord

          public boolean hasDeviceOfRecord()

      Downstream STP device that allows non Monza encoding
      Specified by:
        `hasDeviceOfRecord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getDeviceOfRecord

          public StpApi.STPDevice getDeviceOfRecord()

      Downstream STP device that allows non Monza encoding
      Specified by:
        `getDeviceOfRecord` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setDeviceOfRecord

          public StpApi.OperationResponsibility.Builder setDeviceOfRecord(StpApi.STPDevice value)

      Downstream STP device that allows non Monza encoding

    - #### setDeviceOfRecord

          public StpApi.OperationResponsibility.Builder setDeviceOfRecord(StpApi.STPDevice.Builder builderForValue)

      Downstream STP device that allows non Monza encoding

    - #### mergeDeviceOfRecord

          public StpApi.OperationResponsibility.Builder mergeDeviceOfRecord(StpApi.STPDevice value)

      Downstream STP device that allows non Monza encoding

    - #### clearDeviceOfRecord

          public StpApi.OperationResponsibility.Builder clearDeviceOfRecord()

      Downstream STP device that allows non Monza encoding

    - #### getDeviceOfRecordBuilder

          public StpApi.STPDevice.Builder getDeviceOfRecordBuilder()

      Downstream STP device that allows non Monza encoding

    - #### getDeviceOfRecordOrBuilder

          public StpApi.STPDeviceOrBuilder getDeviceOfRecordOrBuilder()

      Downstream STP device that allows non Monza encoding
      Specified by:
        `getDeviceOfRecordOrBuilder` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### hasVoyanticTagsuranceTestResultsCacheSize

          public boolean hasVoyanticTagsuranceTestResultsCacheSize()

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees
      Specified by:
        `hasVoyanticTagsuranceTestResultsCacheSize` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getVoyanticTagsuranceTestResultsCacheSize

          public int getVoyanticTagsuranceTestResultsCacheSize()

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees
      Specified by:
        `getVoyanticTagsuranceTestResultsCacheSize` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setVoyanticTagsuranceTestResultsCacheSize

          public StpApi.OperationResponsibility.Builder setVoyanticTagsuranceTestResultsCacheSize(int value)

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees

    - #### clearVoyanticTagsuranceTestResultsCacheSize

          public StpApi.OperationResponsibility.Builder clearVoyanticTagsuranceTestResultsCacheSize()

      The approximate number of tags expected in the pipeline between a third party tester and the first ItemEncode device. Setting this to 0 disables the listening feature. Setting this to any other value indicates that this ItemEncode device should expect rf performance reports for every tag it sees

    - #### hasVoidTagResponsibility

          public boolean hasVoidTagResponsibility()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device
      Specified by:
        `hasVoidTagResponsibility` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### getVoidTagResponsibility

          public StpApi.VoidTagResponsibility getVoidTagResponsibility()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device
      Specified by:
        `getVoidTagResponsibility` in interface `StpApi.OperationResponsibilityOrBuilder`

    - #### setVoidTagResponsibility

          public StpApi.OperationResponsibility.Builder setVoidTagResponsibility(StpApi.VoidTagResponsibility value)

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### setVoidTagResponsibility

          public StpApi.OperationResponsibility.Builder setVoidTagResponsibility(StpApi.VoidTagResponsibility.Builder builderForValue)

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### mergeVoidTagResponsibility

          public StpApi.OperationResponsibility.Builder mergeVoidTagResponsibility(StpApi.VoidTagResponsibility value)

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### clearVoidTagResponsibility

          public StpApi.OperationResponsibility.Builder clearVoidTagResponsibility()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### getVoidTagResponsibilityBuilder

          public StpApi.VoidTagResponsibility.Builder getVoidTagResponsibilityBuilder()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device

    - #### getVoidTagResponsibilityOrBuilder

          public StpApi.VoidTagResponsibilityOrBuilder getVoidTagResponsibilityOrBuilder()

      In cases where there is voiding possible, this is how the user specifies the responsibility of this device
      Specified by:
        `getVoidTagResponsibilityOrBuilder` in interface `StpApi.OperationResponsibilityOrBuilder`